POST api/mediwaveprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "7d7d5cf0-151f-4826-98c2-2433a6a02740",
"program_id": "f508c85f-56ba-4963-8ae7-54db28491948",
"mediwave_program_step_type_id": "20a3e479-c85d-4d0b-84e5-fa62ec3caa5b",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>7d7d5cf0-151f-4826-98c2-2433a6a02740</id> <mediwave_program_step_type_id>20a3e479-c85d-4d0b-84e5-fa62ec3caa5b</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>f508c85f-56ba-4963-8ae7-54db28491948</program_id> </mediwave_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"834e7a76-012d-4052-8571-e7a196e2d673"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">834e7a76-012d-4052-8571-e7a196e2d673</guid>